public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Christoph Junghans" <junghans@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/nawk/
Date: Thu,  1 Dec 2022 17:58:19 +0000 (UTC)	[thread overview]
Message-ID: <1669917492.93b3f3866bfee7e91475a2561f194fe60b68f024.junghans@gentoo> (raw)

commit:     93b3f3866bfee7e91475a2561f194fe60b68f024
Author:     Christoph Junghans <junghans <AT> gentoo <DOT> org>
AuthorDate: Thu Dec  1 17:57:34 2022 +0000
Commit:     Christoph Junghans <junghans <AT> gentoo <DOT> org>
CommitDate: Thu Dec  1 17:58:12 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=93b3f386

nawk: version bump

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Christoph Junghans <junghans <AT> gentoo.org>

 sys-apps/nawk/Manifest             |  1 +
 sys-apps/nawk/nawk-20220122.ebuild | 54 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/sys-apps/nawk/Manifest b/sys-apps/nawk/Manifest
index 7c9c21c58ad8..604f743562d3 100644
--- a/sys-apps/nawk/Manifest
+++ b/sys-apps/nawk/Manifest
@@ -1 +1,2 @@
 DIST nawk-20180827.tar.gz 1824076 BLAKE2B 4cfd000842d75d9a713fe73a85eefab33c17f9ecaca4f7f663d1157da411fd9fcf2badbf5180b4a90910445332095fe457e7acf0643621ac8a68da1a246b5e5f SHA512 cd6561149be71e6311aaa69c86b90ee4b29a057e5c2595470ccc8a41c40c653ec31b4bd46d7f58896d012f5fb5952103a76aa463a69e5128cba43d80eedf0b9b
+DIST nawk-20220122.tar.gz 1832761 BLAKE2B f704ff9cf5012545ec3adc1887c0d43625d7e38e19589cba91fe31f664e72ccce20dee3f2484067a31af793be16439c1389603fbdb33c119efeafb18559a0d97 SHA512 46ab7936705288c9cd22867ad9f5b080ade67c4b05d674304e0e5cae8ea329420a9a46e3578bf3a014b7066a1185b7506b0f74445bb52aafb1090e7a82a5bf28

diff --git a/sys-apps/nawk/nawk-20220122.ebuild b/sys-apps/nawk/nawk-20220122.ebuild
new file mode 100644
index 000000000000..e5b001bf7085
--- /dev/null
+++ b/sys-apps/nawk/nawk-20220122.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Brian Kernighan's pattern scanning and processing language"
+HOMEPAGE="https://www.cs.princeton.edu/~bwk/btl.mirror/"
+SRC_URI="https://github.com/onetrueawk/awk/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+
+RDEPEND="
+	app-eselect/eselect-awk"
+
+DEPEND="
+	${RDEPEND}
+	virtual/yacc"
+
+S="${WORKDIR}/awk-${PV}"
+
+DOCS=( README.md FIXES )
+
+src_compile() {
+	emake \
+		CC="$(tc-getCC)" \
+		CFLAGS="${CFLAGS}" \
+		CPPFLAGS=-DHAS_ISBLANK \
+		ALLOC="${LDFLAGS}" \
+		YACC=$(type -p bison) \
+		YFLAGS="-d"
+}
+
+src_install() {
+	newbin a.out "${PN}"
+	sed \
+		-e 's/awk/nawk/g' \
+		-e 's/AWK/NAWK/g' \
+		-e 's/Awk/Nawk/g' \
+		awk.1 > "${PN}".1 || die "manpage patch failed"
+	doman "${PN}.1"
+	einstalldocs
+}
+
+pkg_postinst() {
+	eselect awk update ifunset
+}
+
+pkg_postrm() {
+	eselect awk update ifunset
+}


             reply	other threads:[~2022-12-01 17:58 UTC|newest]

Thread overview: 33+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-12-01 17:58 Christoph Junghans [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-12-28  4:15 [gentoo-commits] repo/gentoo:master commit in: sys-apps/nawk/ Sam James
2023-10-27 12:17 Sam James
2023-10-23 14:05 Arthur Zamarin
2023-10-22 11:44 Sam James
2023-10-22 11:40 Sam James
2023-10-22 11:39 Sam James
2023-10-22 11:39 Sam James
2023-10-22 11:39 Sam James
2023-10-22 11:39 Sam James
2023-09-12  2:23 Sam James
2023-02-13  3:41 Matt Turner
2022-12-27 19:53 Sam James
2022-12-27 19:45 Sam James
2022-12-27 13:40 Sam James
2022-12-27 11:31 Sam James
2022-12-24  3:02 WANG Xuerui
2022-12-18 11:45 James Le Cuirot
2022-12-18  1:50 Yixun Lan
2022-12-16 21:19 Arthur Zamarin
2022-12-16 21:19 Arthur Zamarin
2022-12-16 21:19 Arthur Zamarin
2022-12-16 18:26 Arthur Zamarin
2022-12-16  7:53 Sam James
2022-12-02 15:18 Christoph Junghans
2022-12-01 19:41 Sam James
2022-12-01 19:38 Sam James
2022-12-01 18:11 Christoph Junghans
2021-05-22 17:20 David Seifert
2021-01-06 15:26 Fabian Groffen
2020-05-06 17:25 Michał Górny
2018-02-19 19:58 Christoph Junghans
2016-11-14  2:01 Christoph Junghans

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1669917492.93b3f3866bfee7e91475a2561f194fe60b68f024.junghans@gentoo \
    --to=junghans@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox